function plv=getPLV3D(phase1,phase2)
%fast PLV calculation for two lines of phases
%phase1, phase2: freqs x time x trials
%
%by Stefan Scherbaum 2006


trials=size(phase1,3);

%calc phasedifference
phase=phase1-phase2;
%make a complex out of it
phase=exp(j*phase);

%sum over trials
phase=sum(phase,3);

%get realvalue by abs
phase=abs(phase);

%make trials-average out of sum-->plv
plv=phase./trials;
